#include "xaudiosourceformat.h"

XAudioSourceFormat::XAudioSourceFormat()
    : XAsset()
    , mSampleType(0)
    , mStreamInfo()
    , mAudioFormatInfo()
{
    SetName("Audio Source Format");
}

XAudioSourceFormat::~XAudioSourceFormat()
{

}

void XAudioSourceFormat::ParseData(XDataStream *aStream)
{
    mSampleType = aStream->ParseUInt8(QString("%1 sample type").arg(GetName()));

    aStream->skipRawData(3);

    mStreamInfo.ParsePtr(aStream, false);
    mAudioFormatInfo.ParsePtr(aStream, false);

    mStreamInfo.ParseData(aStream);
    mAudioFormatInfo.ParseData(aStream);
}

void XAudioSourceFormat::Clear()
{

    mSampleType = 0;
    mStreamInfo.Clear();
    mAudioFormatInfo.Clear();
}
